Bug 282710

Summary: Better notifications for file transfer
Product: [Frameworks and Libraries] telepathy Reporter: Daniele E. Domenichelli <ddomenichelli>
Component: filetransferAssignee: Daniele E. Domenichelli <ddomenichelli>
Status: RESOLVED FIXED    
Severity: normal    
Priority: NOR    
Version: git-latest   
Target Milestone: 0.4.0   
Platform: Unlisted Binaries   
OS: Linux   
Latest Commit: Version Fixed In:
Sentry Crash Report:
Bug Depends on: 282213, 282696, 282961    
Bug Blocks:    

Description Daniele E. Domenichelli 2011-09-24 19:33:16 UTC
File transfer notifications are horrible.

Through the notifications it should be possible to have:

* Progress bar
* Cancel button
* Open file/directory button for incoming files
Comment 1 Daniele E. Domenichelli 2011-09-28 18:46:46 UTC
Git commit d0d5522362e04a04f663d5417200074c3e20b220 by Daniele E. Domenichelli.
Committed on 28/09/2011 at 20:35.
Pushed by ddomenichelli into branch 'master'.

Handle other states in incoming file transfer

Also set better notification messages.
This commit plus the previous commits make the notifications
acceptables, therefore I'm closing bug #282710 (better notifications)

BUG: 282710

M  +29   -10   src/handle-incoming-file-transfer-channel-job.cpp
M  +11   -11   src/handle-outgoing-file-transfer-channel-job.cpp

http://commits.kde.org/telepathy-filetransfer-handler/d0d5522362e04a04f663d5417200074c3e20b220